<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Data Pipelines &mdash; 4PointX Documentation 1.0 documentation</title>
      <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/doctools.js"></script>
        <script src="../../../_static/sphinx_highlight.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" />
    <link rel="next" title="Onboarding Data" href="onboarding_data/index.html" />
    <link rel="prev" title="Configuration" href="../index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../../index.html" class="icon icon-home">
            4PointX Documentation
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../../index.html">User Docs</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../../condition_monitoring/index.html">Condition Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../condition_monitoring/index.html#id1">Condition Monitoring</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../condition_monitoring/summary/index.html">Summary</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../condition_monitoring/asset_health_dashboard/index.html">Asset Health Dashboard</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../condition_monitoring/real_time_monitoring/index.html">Real-time Monitoring</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../condition_monitoring/process_correlation/index.html">Process Correlation</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../condition_monitoring/fault_diagnostics/index.html">Fault Diagnostics</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../condition_monitoring/other_info_cm/index.html">Other Info - CM</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html">Competitor Solutions - CM</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#teco-group">Teco Group</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#web-app">Web App</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#sensor-manual">Sensor Manual</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#api-documentation">API Documentation</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#rs-485-modbus-specs">RS-485/ Modbus Specs</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#dashboard">Dashboard</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#gd-folder">GD Folder</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#datakrew">DataKrew</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#sample-cases">Sample Cases</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#case-1">Case 1</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#diagnostics">Diagnostics</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#detailed-report-attached">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#case-2">Case 2</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#id1">Diagnostics</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#id2">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#bk-vibro">BK Vibro</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#gantner-instruments">Gantner Instruments</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#vibro-meter">Vibro-meter</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#omnidots">Omnidots</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#rokade-rototechniks">Rokade Rototechniks</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#cmtechnologies">cmtechnologies</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../condition_monitoring/other_info_cm/articles_and_blogs_cm/index.html">Articles and Blogs - CM</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../condition_monitoring/other_info_cm/articles_and_blogs_cm/index.html#treatment-for-machine-vibration-problems">Treatment for Machine Vibration Problems</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../process_anomaly/index.html">Process Anomaly</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../process_anomaly/asset_anomalies/index.html">Asset Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../process_anomaly/process_anomalies/index.html">Process Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../process_anomaly/other_info_anomaly/index.html">Other Info - Anomaly</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../process_anomaly/other_info_anomaly/competitor_solutions_anomaly/index.html">Competitor Solutions - Anomaly</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../process_anomaly/other_info_anomaly/competitor_solutions_anomaly/index.html#sparkcognition">SparkCognition</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../process_anomaly/other_info_anomaly/digital_twin_articles/index.html">Digital Twin articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../energy_monitoring/index.html">Energy Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../energy_monitoring/other_info_ems/index.html">Other Info - EMS</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../energy_monitoring/other_info_ems/articles_references_ems/index.html">Articles &amp; References - EMS</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../energy_monitoring/other_info_ems/articles_references_ems/index.html#power-meters">Power Meters</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../energy_monitoring/other_info_ems/articles_references_ems/index.html#oem-vendors">OEM Vendors</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../energy_monitoring/other_info_ems/articles_references_ems/index.html#articles">Articles</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../energy_monitoring/other_info_ems/articles_references_ems/index.html#things-you-should-consider-when-choosing-a-power-meter">3 Things You Should Consider When Choosing a Power Meter</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html">Configuration</a><ul class="current">
<li class="toctree-l3 current"><a class="current reference internal" href="#">Data Pipelines</a><ul>
<li class="toctree-l4"><a class="reference internal" href="onboarding_data/index.html">Onboarding Data</a><ul>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#edge-iot-gateway">Edge IoT Gateway</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#file">File</a><ul>
<li class="toctree-l6"><a class="reference internal" href="onboarding_data/index.html#steps-to-onboard-data-from-file">Steps to onboard data from File</a></li>
<li class="toctree-l6"><a class="reference internal" href="onboarding_data/index.html#installing-logstash">Installing Logstash</a><ul>
<li class="toctree-l7"><a class="reference internal" href="onboarding_data/index.html#centos">CentOS</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="onboarding_data/index.html#testing-transformed-data">Testing Transformed Data</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#opc-ua">OPC-UA</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#modbus-rtu">Modbus RTU</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#modbus-tcp">Modbus TCP</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#analog">Analog</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#third-party-apps">Third-Party Apps</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#cimcon-digital">CimCon Digital</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#cloud">Cloud</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#aws-s3">AWS S3</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#google-cloud-storage">Google Cloud Storage</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#azure-data-lake">Azure Data Lake</a></li>
<li class="toctree-l5"><a class="reference internal" href="onboarding_data/index.html#related-articles">Related articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../alerting/index.html">Alerting</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../alerting/alerts_using_open_distro/index.html">Alerts using Open Distro</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../alerting/alerts_using_open_distro/index.html#installation-instructions">Installation Instructions</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../alerting/alerts_using_open_distro/index.html#test-case-steps">Test Case Steps:</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../alerting/alerts_using_open_distro/index.html#creating-a-simple-threshold-alert">Creating a simple threshold alert:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../alerting/alerts_using_open_distro/index.html#related-articles">Related articles</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html">Create a monitor for alerting</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#instructions">Instructions</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#set-up-your-destination">Set Up Your Destination</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#set-up-a-monitor">Set Up a Monitor</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#create-a-trigger">Create a Trigger</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#configure-actions">Configure Actions</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#related-articles">Related articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html">Create custom monitor for alerting</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#instructions">Instructions</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#set-up-your-destination">Set Up Your Destination</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#set-up-a-monitor">Set Up a Monitor</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#create-a-trigger">Create a Trigger</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#configure-actions">Configure Actions</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../alerting/alerts_using_open_distro/how_to_add_a_mobile_number_to_an_existing_user_profile/index.html">How to add a mobile number to an existing user profile</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../alerting/alerting_learnings/index.html">Alerting - Learnings</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../notebooks/index.html">Notebooks</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../dashboards/index.html">Dashboards</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_edge/index.html">4PointX Edge</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_edge/index.html#purpose">Purpose</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_edge/index.html#data-pipeline-scenarios">Data Pipeline Scenarios</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_edge/index.html#hardware-specifications">Hardware Specifications</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_edge/index.html#pre-installed-software">Pre-installed Software</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html">4PointX IIoT Gateway</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#purpose">Purpose</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#hardware-specifications">Hardware Specifications</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#ruggedboard">RuggedBoard</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#phyboard-regor">PhyBoard Regor</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#pre-installed-software">Pre-installed Software</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#oem-partners">OEM Partners</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_iiot_gateway/index.html#references">References</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../ai_monitors/index.html">AI Monitors</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_management/security_rbac/index.html">Security - RBAC</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_management/security_rbac/index.html#roles">Roles</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_management/security_rbac/index.html#plant-viewer">Plant Viewer</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_management/security_rbac/index.html#plant-analyst">Plant Analyst</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_management/security_rbac/index.html#plant-admin">Plant Admin</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_management/security_rbac/index.html#site-admin">Site Admin</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../partners/index.html">Partners</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../partners/oem_partners/index.html">OEM Partners</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../partners/oem_partners/index.html#hardware-partners">Hardware Partners</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../partners/oem_partners/index.html#other-info">Other Info</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../partners/oem_partners/index.html#tecom">Tecom</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../partners/oem_partners/index.html#durham-instruments">Durham Instruments</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../partners/oem_partners/index.html#converters">Converters</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../test_page_for_sphinix_converter/index.html">Test page for sphinix converter</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../test_page_for_sphinix_converter/index.html#header-2">Header 2</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../test_page_for_sphinix_converter/index.html#header-3">Header 3</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../test_page_for_sphinix_converter/index.html#header-4">Header 4</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../test_page_for_sphinix_converter/index.html#header-5">Header 5</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../test_page_for_sphinix_converter/index.html#header-6">Header 6</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../../API/index.html">API</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../../API/Configuration/index.html">Configuration</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/assets.html"><strong>Assets</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/assets.html#create-asset"><strong>Create Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/assets.html#delete-asset"><strong>Delete Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/assets.html#update-asset"><strong>Update Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/assets.html#fetch-asset"><strong>Fetch Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/assets.html#fetch-list-of-assets"><strong>Fetch List of Assets</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/assets.html#get-count-of-assets"><strong>Get Count of Assets</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/devices.html">Devices</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/devices.html#register-device"><strong>Register Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/devices.html#unregister-device"><strong>Unregister Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/devices.html#change-device-s-registration"><strong>Change Device's registration</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/devices.html#fetch-device"><strong>Fetch Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/devices.html#fetch-list-of-devices"><strong>Fetch List of Devices</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/devices.html#get-count-of-devices"><strong>Get Count of Devices</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/functions.html">Functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/functions.html#create-function"><strong>Create Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/functions.html#delete-function"><strong>Delete Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/functions.html#update-a-function"><strong>Update a Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/functions.html#fetch-details-of-a-function"><strong>Fetch Details of a Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/functions.html#fetch-list-of-functions"><strong>Fetch List of Functions</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/monitors.html">Monitors</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/monitors.html#create-monitor"><strong>Create Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/monitors.html#delete-monitor"><strong>Delete Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/monitors.html#update-monitor"><strong>Update Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/monitors.html#fetch-monitor"><strong>Fetch Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/monitors.html#fetch-list-of-monitors"><strong>Fetch List of Monitors</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/monitors.html#get-count-of-monitors"><strong>Get Count of Monitors</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/plants.html">Plants</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/plants.html#create-plant"><strong>Create Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/plants.html#delete-plant"><strong>Delete Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/plants.html#update-plant"><strong>Update Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/plants.html#fetch-plant"><strong>Fetch Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/plants.html#fetch-list-of-plants"><strong>Fetch List of Plants</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/pipelines.html">Pipelines</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines.html#start-pipeline"><strong>Start Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines.html#stop-pipeline"><strong>Stop Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines.html#fetch-pipelines-list"><strong>Fetch Pipelines List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines.html#fetch-pipelines-count"><strong>Fetch Pipelines Count</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/pipelines_edge.html">Pipelines Edge</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_edge.html#create-edge-server-pipeline"><strong>Create Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_edge.html#delete-edge-server-pipeline"><strong>Delete Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_edge.html#update-edge-server-pipeline"><strong>Update Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_edge.html#fetch-edge-server-pipeline"><strong>Fetch Edge Server Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/pipelines_IU.html">Pipelines IU</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_IU.html#create-an-iu-pipeline"><strong>Create an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_IU.html#delete-an-iu-pipeline"><strong>Delete an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_IU.html#update-an-iu-pipeline"><strong>Update an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/pipelines_IU.html#fetch-an-iu-pipeline"><strong>Fetch an IU Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/sites.html">Sites</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/sites.html#create-site"><strong>Create Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/sites.html#delete-site"><strong>Delete Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/sites.html#update-site"><strong>Update Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/sites.html#fetch-details-of-a-site"><strong>Fetch details of a Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/sites.html#fetch-list-of-sites"><strong>Fetch List of Sites</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/samples.html">Samples</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/samples.html#get-trend-of-sample"><strong>Get Trend of Sample</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/samples.html#fetch-count-of-sample"><strong>Fetch Count of Sample</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Configuration/tags.html">Tags</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/tags.html#fetch-list-of-tags"><strong>Fetch List of Tags</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Configuration/tags.html#fetch-count-of-tags"><strong>Fetch Count of Tags</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../API/EMS/index.html">EMS</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../API/EMS/ems_asset.html">EMS Asset</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/EMS/ems_benchmarking.html">EMS Benchmarking</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_benchmarking.html#fetch-energy-consumption-table-for-plant"><strong>Fetch Energy Consumption Table for Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_benchmarking.html#fetch-list-of-production-specs-for-plant"><strong>Fetch list of Production specs for Plant</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/EMS/ems_function.html">EMS Function</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_function.html#fetch-energy-metrics-for-function"><strong>Fetch Energy Metrics for Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_function.html#fetch-energy-metrics-for-functions-in-plant"><strong>Fetch Energy Metrics for Functions in Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_function.html#fetch-energy-metric-trend-for-function"><strong>Fetch Energy Metric Trend for Function</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/EMS/ems_monitor.html">EMS Monitor</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_monitor.html#fetch-energy-metrics-for-monitor"><strong>Fetch Energy Metrics for Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_monitor.html#fetch-energy-metrics-monitors-in-plant-or-function"><strong>Fetch Energy Metrics Monitors in Plant or Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_monitor.html#fetch-energy-metric-trend-for-monitor"><strong>Fetch Energy Metric trend for Monitor</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/EMS/ems_plant.html">EMS Plant</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_plant.html#fetch-energy-metrics-for-plant"><strong>Fetch Energy Metrics for Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/EMS/ems_plant.html#fetch-energy-metric-trend-for-plant"><strong>Fetch Energy Metric trend for Plant</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../API/Notebooks/index.html">Notebooks</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Notebooks/notebooks.html">Notebook APIs</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#create-notebook"><strong>Create Notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#delete-notebooks"><strong>Delete Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#rename-a-notebook"><strong>Rename a notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#fetch-notebook"><strong>Fetch Notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#fetch-list-of-notebooks"><strong>Fetch List of Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#fetch-count-of-notebooks"><strong>Fetch Count of Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#run-notebooks"><strong>Run Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#schedule-notebooks"><strong>Schedule Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Notebooks/notebooks.html#unschedule-notebooks"><strong>Unschedule Notebooks</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../API/Alerting/index.html">Alerting</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Alerting/alerts.html"><strong>Alert APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/alerts.html#alerts-count"><strong>Alerts Count</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/alerts.html#fetch-alerts-details"><strong>Fetch Alerts Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/alerts.html#get-trend-of-alerts"><strong>Get Trend of Alerts</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Alerting/watchers.html"><strong>Watcher APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/watchers.html#count-watchers"><strong>Count Watchers</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/watchers.html#fetch-list-of-watchers"><strong>Fetch List of Watchers</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/watchers.html#fetch-watcher-details"><strong>Fetch Watcher Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/watchers.html#create-a-new-watcher"><strong>Create A New Watcher</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/watchers.html#update-watcher-details"><strong>Update Watcher Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Alerting/watchers.html#delete-watcher"><strong>Delete Watcher</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../API/User_Management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../API/User_Management/user_management.html"><strong>User Management APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/User_Management/user_management.html#create-a-new-user"><strong>Create a New User</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/User_Management/user_management.html#fetch-user-details"><strong>Fetch User Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/User_Management/user_management.html#updating-the-existing-user"><strong>Updating The Existing User</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/User_Management/user_management.html#deleting-the-user"><strong>Deleting the user</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../API/Condition_Monitoring/index.html">Condition Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_assets.html"><strong>CM Assets</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_assets.html#cm-assets-list"><strong>CM Assets List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_assets.html#cm-faults-and-status-count">CM Faults and Status Count</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_faults.html"><strong>CM Faults</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_faults.html#cm-fault-s-status"><strong>CM Fault’s Status</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_monitors.html"><strong>CM Monitors</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_monitors.html#cm-monitor"><strong>CM Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_monitors.html#cm-monitors-list"><strong>CM Monitors List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_monitors.html#cm-monitors-trend"><strong>CM Monitors Trend</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_fft.html"><strong>CM FFT</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_fft.html#cm-fft-peaks"><strong>CM FFT Peaks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_fft.html#cm-asset-fault-summary"><strong>CM Asset Fault Summary</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_fft.html#cm-fft-spectrum"><strong>CM FFT Spectrum</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../API/Condition_Monitoring/cm_fft.html#cm-fft-spectrum-timestamps"><strong>CM FFT Spectrum Timestamps</strong></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">4PointX Documentation</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../../index.html">User Docs</a></li>
          <li class="breadcrumb-item"><a href="../index.html">Configuration</a></li>
      <li class="breadcrumb-item active">Data Pipelines</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../../_sources/user_docs/configuration/data_pipelines/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="data-pipelines">
<h1>Data Pipelines<a class="headerlink" href="#data-pipelines" title="Permalink to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="onboarding_data/index.html">Onboarding Data</a><ul>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#edge-iot-gateway">Edge IoT Gateway</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#file">File</a><ul>
<li class="toctree-l3"><a class="reference internal" href="onboarding_data/index.html#steps-to-onboard-data-from-file">Steps to onboard data from File</a></li>
<li class="toctree-l3"><a class="reference internal" href="onboarding_data/index.html#installing-logstash">Installing Logstash</a><ul>
<li class="toctree-l4"><a class="reference internal" href="onboarding_data/index.html#centos">CentOS</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="onboarding_data/index.html#testing-transformed-data">Testing Transformed Data</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#opc-ua">OPC-UA</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#modbus-rtu">Modbus RTU</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#modbus-tcp">Modbus TCP</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#analog">Analog</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#third-party-apps">Third-Party Apps</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#cimcon-digital">CimCon Digital</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#cloud">Cloud</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#aws-s3">AWS S3</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#google-cloud-storage">Google Cloud Storage</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#azure-data-lake">Azure Data Lake</a></li>
<li class="toctree-l2"><a class="reference internal" href="onboarding_data/index.html#related-articles">Related articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../index.html" class="btn btn-neutral float-left" title="Configuration" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="onboarding_data/index.html" class="btn btn-neutral float-right" title="Onboarding Data" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, 4PointX.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>